import * as glob from 'glob';
import { ICreateTsIndexCliOption } from './ICreateTsIndexCliOption';
import { ICreateTsIndexOption } from './ICreateTsIndexOption';
import { TCleanCliOption, TEntrypointCliOption, TInitCliOption } from './partialCliOption';
export declare function createOptionBuilder(args: ICreateTsIndexCliOption, cwd: string): ICreateTsIndexOption;
export declare function entrypointOptionBuilder(args: TEntrypointCliOption, cwd: string): ICreateTsIndexOption;
export declare function cleanOptionBuilder(args: TCleanCliOption, cwd: string): ICreateTsIndexOption;
export declare function initOptionBuilder(args: TInitCliOption, cwd: string): ICreateTsIndexOption;
export declare function getDefailtICreateTsIndexOption(cwd?: string): ICreateTsIndexOption;
export declare function createTsIndexOptionToInterface(option: CreateTsIndexOption): ICreateTsIndexOption;
export declare class CreateTsIndexOption {
    static factory({ option, partialOption, }: {
        option?: ICreateTsIndexOption;
        partialOption?: Partial<ICreateTsIndexOption>;
    }): CreateTsIndexOption;
    static getOption(passed: Partial<ICreateTsIndexOption>): CreateTsIndexOption;
    readonly fileFirst: boolean;
    readonly addNewline: boolean;
    readonly useSemicolon: boolean;
    readonly useTimestamp: boolean;
    readonly includeCWD: boolean;
    readonly excludes: Array<string>;
    readonly fileExcludePatterns: Array<string>;
    readonly targetExts: Array<string>;
    readonly globOptions: glob.IOptions;
    readonly quote: string;
    readonly verbose: boolean;
    readonly withoutComment: boolean;
    constructor(fileFirst?: boolean | ICreateTsIndexOption, addNewline?: boolean, useSemicolon?: boolean, useTimestamp?: boolean, includeCWD?: boolean, excludes?: Array<string>, fileExcludePatterns?: Array<string>, targetExts?: Array<string>, globOptions?: glob.IOptions, quote?: string, verbose?: boolean, withoutComment?: boolean);
}
